/* -------------VERSION DESKTOP------------- */
/* NAVBAR */
#navbarNavAltMarkup{
  position: absolute;
}
nav{
    background-color: white;
}

.nav-link{
    color: #2300c8;
    font-size: 28px;
}

.nav-link:hover{
  color: #2300c8;
  text-decoration: underline;
}

.navbar-toggler-icon{
    background-image: url("../images/menu.png");
}

.navbar-brand{
  display: flex;
  justify-content: center;
  margin: auto;
}
.navbar{
  padding: 0;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}
#navbarNavAltMarkup{
  flex-grow: unset;
}

.dropdown-menu{
  z-index: 2000;
}
.centering{
}
.link{
  font-size: 28px;
}
.img-brand{
  height: auto;
  max-width: 65%;
}
.navbar-toggler{
  position: absolute;
}

/* BODY */
.container{
    max-width: 960px;
    margin-top: 3rem;
    margin-bottom: 3rem;
}
.maintenance{
  background-color: #e45353;
  color: #ffffff;
  border: solid;
  border-color: #e24242;
  text-align: center;
}

h1{
    text-align: center;
    color: #2300c8;
}

a{
    color: #2300c8;
}

/* TABLEAU ADMIN */
.table{
    margin: auto ;
    text-align: center;
}

.table thead th{
    vertical-align: middle;
}

.table td, .table th{
    vertical-align: middle;
}
.nav-item >.nav-link{
  color: #2300c8;
  font-size: 18px;
}
/* CARDS ADMIN */
.card-body{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 200px;
}

.card-link{
    align-self: flex-end;
}

.image-resize{
    max-height: 600px;
}

.card-body{
    background-color: whitesmoke;
    color: #2300c8;
    border-style: double;
    border-color: #2300c8;
    text-align: center;
    text-decoration: none;
    border-radius: 12px;
}

.card-body:hover{
    border-style: solid;
    transition-duration: 1;
}

.card-link:hover{
    text-decoration: none;
}

.card-subtext{
    margin-top: 16px;
}

.low-card{
    color: green;
}

.medium-card{
    color: orange;
}

.high-card{
    color: red;
}

/* GRAPH */
#adminmap{ 
    height: 600px;
}

#publicmap{ 
    height: 600px;
    position: relative;
}
#privatemap{ 
  height: 600px;
  position: relative;
}
#adminmap{ 
  height: 600px;
  position: relative;
}
.chart-container{
    display: flex;
    justify-content: center;
}
/*-------------------------ACCUEIL-------------------------*/
/* MENU ACCORDEON */
/* général */
.sub-nav-number{
  font-weight: bold;
  font-size: 36px;
  color: #ffffff;
  margin: auto;
}

.sub-nav-place{
  line-height: 1;
  font-style: italic;
  color: #ffffff;
  margin: auto;
}

.sub-nav-link{
  margin: auto;
  text-decoration: none;
  color: #ffffff;
}

.sub-nav-link:hover{
  margin: auto;
  text-decoration: none;
  color: #ffffff;
}

#progressbar {
  background-color: #d3d3d3;
  width: 95%;
  margin: auto;
  margin-bottom: 30px;
}

.cursor-bar{
  height: 100%;
  width: 5px;
  background-color: #ffffff;
  float: right;
}
.cursor{
  border: solid #707070;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
  margin-top: 4vh;
  margin-left: -0.12rem; 
}

.home-sub-state{
  display: flex;
  justify-content: space-between;
  box-shadow: inset 0px 2px 2px 0px rgba(0, 0, 0, 0.2);
  padding-left: 5px;
  padding-right: 5px;
}

.home-sub-text{
  display: flex;
  flex-direction: row;
  align-items: center;
}

.home-sub-text-number{
  font-weight: bold;
  font-size: 37px;
  color: #707070;
  padding-right: 2px;
}

.home-sub-text-place{
  line-height: 1;
  font-size: 13px;
  font-style: italic;
  color: #707070;
}

.home-header-state{
  display: flex;
  justify-content: space-between;
}

.home-header-state p{
  font-size: 1.3rem;
  margin: 2px;
}

.taux-title{
  color: black;
  opacity: .3;
}

.top-title{
  display: flex;
  justify-content: space-between;
}

.sector{
  margin: 0;
}

.dispo{
  text-transform: none;
  color: #ffffff;
  font-size: 0.7rem;
  margin: 0px;
  font-weight: normal;
}

.accordion {
  font-size: 1rem;
  margin: 0 auto;
  border-radius: 5px;
}

.accordion__item .sub-accordion{
  margin-bottom: 0;
}

.accordion-header,
.accordion-body {
  background: white;
}

.accordion-header:hover {

  position: relative;
  z-index: 5;
}

.accordion-body {
  background: #fcfcfc;
  color: #353535;
  display: none;
}

.accordion-body__contents {
  font-size: .85em;
}

.accordion__item.active:last-child .accordion-header {
  border-radius: none;
}

.accordion__item > .accordion-header:after {
  font-size: 1.2em;
  float: right;
  position: relative;
  top: -2px;
  transition: .3s all;
  transform: rotate(0deg);
}

.accordion__item.active > .accordion-header:after {
  transform: rotate(-180deg);
}

.accordion__item {
  border: -2px solid #0000006c;
  margin-bottom: 5px;
}

.accordion__item .accordion__item .accordion-header {
  background: #ffffff;
  color: #353535;
}
/* taux d'occupation faible */
.sub-nav-bg-low{
  background-color: #78A23B;
  display: flex;
  justify-content: center;
}

.sub-nav-bg-close-low{
  background-color: #8DC044;
  display: flex;
  justify-content: center;
}

.sub-nav-close-low{
  background-color: #8DC044;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  width: 65%;
}

.sub-nav-text-low{
  display: flex;
  flex-direction: row;
  align-items: last baseline;
  background-color: #8DC044;
  padding: 5px;
  max-width: 100%;
}

.sub-nav-plan-low{
  background-color: #78A23B;
  color: #ffffff;
  font-size: 1.2rem;
  font-weight: bold;
  text-align: center;
  flex-grow: 1;
  display: flex;
}

.sub-nav-item-low{
  background-color: #78A23B;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  height : 65%;
}

.home-sub-nav-low{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  border-top: 2px solid #78A23B;
  box-shadow: inset 0px 2px 2px 0px rgba(0, 0, 0, 0.2);
  max-width: 100%;
}

#progressbar > .low-bar {
  background-color: #8DC044;
  height: 20px;
}

.body-low{
 border-top: solid 2px #78A23B;
}

.low{
 padding: 5px;
 background: #8DC044;
 color: #ffffff;
 font-weight: 900;
 cursor: pointer;
 transition: all .3s;
 text-transform: uppercase;
}

.low-item{
 border : 2px solid #78A23B;
}

/* taux d'occupation moyen */

.sub-nav-bg-medium{
  background-color: #B7AB21;
  display: flex;
  justify-content: center;
}

.sub-nav-bg-close-medium{
  background-color: #E3D314;
  display: flex;
  justify-content: center;
}

.sub-nav-close-medium{
  background-color: #E3D314;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  width: 65%;
}

.sub-nav-text-medium{
  display: flex;
  flex-direction: row;
  align-items: last baseline;
  background-color: #E3D314;
  padding: 5px;
  max-width: 100%;
}

.sub-nav-plan-medium{
  background-color: #B7AB21;
  color: #ffffff;
  font-size: 1.2rem;
  font-weight: bold;
  text-align: center;
  flex-grow: 1;
  display: flex;
}

.sub-nav-item-medium{
  background-color: #B7AB21;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  height : 65%;
}

.home-sub-nav-medium{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  border-top: 2px solid #B7AB21;
  box-shadow: inset 0px 2px 2px 0px rgba(0, 0, 0, 0.2);
  max-width: 100%;
}

.medium{
  padding: 5px;
  background: #E3D314;
  color: #ffffff;
  font-weight: 900;
  cursor: pointer;
  transition: all .3s;
  text-transform: uppercase;
}

#progressbar > .medium-bar {
  background-color: #E3D314;
  height: 20px;
}

.body-medium{
  border-top: solid 2px #B7AB21;
}

.medium-item{
  border : 2px solid #B7AB21;
}

/* taux d'occupation élevé */
.sub-nav-bg-high{
  background-color: #BE721A;
  display: flex;
  justify-content: center;
}

.sub-nav-bg-close-high{
  background-color: #F39322;
  display: flex;
  justify-content: center;
}

.sub-nav-close-high{
  background-color: #F39322;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  width: 65%;
}

.sub-nav-text-high{
  display: flex;
  flex-direction: row;
  align-items: last baseline;
  background-color: #F39322;
  padding: 5px;
  max-width: 100%;
}

.sub-nav-plan-high{
  background-color: #BE721A;
  color: #ffffff;
  font-size: 1.2rem;
  font-weight: bold;
  text-align: center;
  flex-grow: 1;
  display: flex;
}

.sub-nav-item-high{
  background-color: #BE721A;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  height : 65%;
}

.home-sub-nav-high{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  border-top: 2px solid #BE721A;
  box-shadow: inset 0px 2px 2px 0px rgba(0, 0, 0, 0.2);
  max-width: 100%;
}

#progressbar > .high-bar {
  background-color: #F39322;
  height: 20px;
}

.body-high{
  border-top: solid 2px #BE721A;
}

.high{
  padding: 5px;
  background: #F39322;
  color: #ffffff;
  font-weight: 900;
  cursor: pointer;
  transition: all .3s;
  text-transform: uppercase;
}

.high-item{
  border : 2px solid #BE721A;
}

/* taux d'occupation maximal */
.sub-nav-bg-max{
  background-color: #AC1D1F;
  display: flex;
  justify-content: center;
}

.sub-nav-bg-close-max{
  background-color: #E52528;
  display: flex;
  justify-content: center;
}

.sub-nav-close-max{
  background-color: #E52528;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  width: 65%;
}

.sub-nav-text-max{
  display: flex;
  flex-direction: row;
  align-items: last baseline;
  background-color: #E52528;
  padding: 5px;
  max-width: 100%;
}

.sub-nav-plan-max{
  background-color: #AC1D1F;
  color: #ffffff;
  font-size: 1.2rem;
  font-weight: bold;
  text-align: center;
  flex-grow: 1;
  display: flex;
}

.sub-nav-item-max{
  background-color: #AC1D1F;
  padding: 5px;
  color: #ffffff;
  font-size: 37px;
  font-weight: bold;
  text-align: center;
  align-self: center;
  max-width: 100%;
  height : 65%;
}

.home-sub-nav-max{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  border-top: 2px solid #AC1D1F;
  box-shadow: inset 0px 2px 2px 0px rgba(0, 0, 0, 0.2);
  max-width: 100%;
}

#progressbar > .max-bar {
  background-color: #E52528;
  height: 20px;
}

.body-max{
  border-top: solid 2px #AC1D1F;
}

.max{
  padding: 5px;
  background: #E52528;
  color: #ffffff;
  font-weight: 900;
  cursor: pointer;
  transition: all .3s;
  text-transform: uppercase;
}

.max-item{
  border : 2px solid #AC1D1F;
}

/* FOOTER ACCUEIL */
.global-stats-footer{
  display: flex;
  border-top: 2px solid #2300c8;
}
.global-stats{
  display: flex;
  width: 100%;
  justify-content: space-evenly;
  align-items: last baseline;
}
.global-stats:nth-child(1){
  background-color: #a8a8dd;
}
.global-stats:nth-child(2){
  background-color: #8DC044;
}
.global-stats:nth-child(3){
  background-color: #F39322;
}
.last-update{
  font-weight: bold;
  text-transform: uppercase;
  color: #2300c8;
  margin: auto;
  text-align: center;
}
.global-stats-text{
  font-weight: bold;
  text-transform: uppercase;
  color: #ffffff;
  padding: 2px;
  font-size: 7px;
  margin: auto;
  margin-right: 0;
  text-align: end;
}
.global-stats-number{
  color: #ffffff;
  font-weight: bolder;
  margin: auto;
  margin-left: 0;
}

/* MENU CARTE PUBLIQUE */
.img-menu{
  width: 16px;
}

.text-menu{
  margin: 2px;
}
.button-menu{
  display: flex;
  justify-content: space-between;
  margin: auto;
  margin-bottom: 2%;
}
.zone-name{
  text-align: center;
  font-weight: bold;
  color:#2300c8;
}

.btn-warning{
  color: white
}




/* -------------VERSION MOBILE------------- */
@media screen and (max-width: 992px) {
/* MENU ACCODEON ACCUEIL */
.accordion {
  width: 100%;
}

/* CONTAINER TEMPLATE */
.container{
  padding: 0;
  max-width: 98%;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

/* NAVBAR */
.navbar{
  padding: 0;
}
#navbarNavAltMarkup{
  position: unset;
}


.img-brand{
  max-width: 65%;
}

#navbarDropdown{
  padding: 1rem;
  font-size: 18px;
}

.link{
  padding-left: 1rem;
  font-size: 18px;
}
.nav-link{
  background-color: rgb(78, 42, 163);
  padding-left: 1rem !important;
  font-size: 18px;
}
.centering{
}
/* HOME */
.sub-nav-link{
  font-size: 0.7rem;
}
.sub-nav-place{
  font-size: 10px;
}
.sub-nav-number{
  font-size: 25px;
}
/* CARTE PUBLIQUE */

.map-wrapper{
  position: relative;
  width: 100%;
  height: 100%;
}

#publicmap{
  position: relative;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 77vh;
}
#privatemap{
  position: relative;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 77vh;
}
#adminmap{
  position: relative;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 94vh;
}

}
